changeset 8771:9130770fb6e3

8028044: [TEST_BUG] Calendar shell tests do not pass TESTVMOPTS Reviewed-by: dholmes, alanb Contributed-by: patrick.zhang@oracle.com
author alanb
date Sat, 09 Nov 2013 16:46:46 +0000
parents a579e2f73bca
children 3add16c86970
files test/java/util/Calendar/GenericTimeZoneNamesTest.sh test/java/util/Calendar/NarrowNamesTest.sh
diffstat 2 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/test/java/util/Calendar/GenericTimeZoneNamesTest.sh	Fri Nov 08 17:36:14 2013 -0800
+++ b/test/java/util/Calendar/GenericTimeZoneNamesTest.sh	Sat Nov 09 16:46:46 2013 +0000
@@ -35,12 +35,12 @@
 # TODO: The purpose of ja-JP is to make sure the fallback for generic
 # names works. Remove ja-JP when adding generic names to localized
 # resources.
-if ! ${TESTJAVA}/bin/java -esa -cp "${TESTCLASSES}" GenericTimeZoneNamesTest en-US ja-JP; then
+if ! ${TESTJAVA}/bin/java -esa ${TESTVMOPTS} -cp "${TESTCLASSES}" GenericTimeZoneNamesTest en-US ja-JP; then
     STATUS=1
 fi
 
 echo "Locale providers: CLDR"
-if ! ${TESTJAVA}/bin/java -esa -cp "${TESTCLASSES}" -Djava.locale.providers=CLDR GenericTimeZoneNamesTest en-US; then
+if ! ${TESTJAVA}/bin/java -esa ${TESTVMOPTS} -cp "${TESTCLASSES}" -Djava.locale.providers=CLDR GenericTimeZoneNamesTest en-US; then
    STATUS=1
 fi
 exit ${STATUS}
--- a/test/java/util/Calendar/NarrowNamesTest.sh	Fri Nov 08 17:36:14 2013 -0800
+++ b/test/java/util/Calendar/NarrowNamesTest.sh	Sat Nov 09 16:46:46 2013 +0000
@@ -34,7 +34,7 @@
 for P in "JRE,SPI" "CLDR"
 do
     echo "Locale providers: $P"
-    if ! ${TESTJAVA}/bin/java -esa -cp "${TESTCLASSES}" -Djava.locale.providers="${P}" NarrowNamesTest; then
+    if ! ${TESTJAVA}/bin/java -esa ${TESTVMOPTS} -cp "${TESTCLASSES}" -Djava.locale.providers="${P}" NarrowNamesTest; then
         STATUS=1
     fi
 done